Summary:       The Apache Kafka C library
Name:          librdkafka
Version:       2.3.0
Release:       1%{?dist}
License:       BSD
URL:           https://github.com/edenhill/librdkafka
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc gcc-c++ make python3 zlib-devel rapidjson-devel
BuildRequires: libzstd-devel lz4-devel openssl-devel cyrus-sasl-devel

%description
Librdkafka is a C/C++ library implementation of the Apache Kafka protocol, containing both Producer and Consumer support.
It was designed with message delivery reliability and high performance in mind, current figures exceed 800000
messages/second for the producer and 3 million messages/second for the consumer.

%package        devel
Summary:        The Apache Kafka C library (Development Environment)
Requires:       %{name} = %{version}-%{release}

%description    devel
librdkafka is a C/C++ library implementation of the Apache Kafka protocol, containing both Producer and Consumer support.
This package contains headers and libraries required to build applications using librdkafka.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%define _lto_cflags -flto=auto -ffat-lto-objects

%configure \
    --enable-zlib \
    --enable-zstd \
    --enable-lz4 \
    --enable-lz4-ext \
    --enable-ssl \
    --enable-gssapi \
    --enable-sasl

%make_build

%check
%make_build check

%install
%make_install
find %{buildroot} -name '*.a' -delete -print
find %{buildroot} -name '*-static.pc' -delete -print


%files
%license LICENSE LICENSE.pycrc LICENSE.snappy
%doc README.md CONFIGURATION.md INTRODUCTION.md LICENSE LICENSES.txt STATISTICS.md CHANGELOG.md
%{_libdir}/librdkafka.so.*
%{_libdir}/librdkafka++.so.*

%files devel
%dir %{_includedir}/librdkafka
%attr(0644,root,root) %{_includedir}/librdkafka/*
%attr(0755,root,root) %{_libdir}/librdkafka.so
%attr(0755,root,root) %{_libdir}/librdkafka++.so
%{_libdir}/pkgconfig/rdkafka.pc
%{_libdir}/pkgconfig/rdkafka++.pc


%changelog
* Mon Dec 11 2023 Upgrade Robot <upbot@opencloudos.org> - 2.3.0-1
- Upgrade to version 2.3.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Shuo Wang <abushwang@tencent.com> - 1.6.1-1
- initial build
